PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Kiosk Member

This endpoint retrieves a paginated list of members with their Hero Time Clock access status for the specified organisation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/kiosk_members

Path Parameters

organisation_iduuidrequired

ID of the organisation

Query Parameters

querystring

Search members by name

cost_centre_uuidsuuid[]

Filter by cost centre UUIDs. Applicable for organisations without advanced rostering.

work_site_uuidsuuid[]

Filter by work site UUIDs. Applicable for organisations with advanced rostering.

kiosk_access_statusesenum<string>[]

Filter by Hero Time Clock access status

sortenum<string>

Sort order for the results. Prefix with - for descending order.

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A paginated list of members with their Hero Time Clock access status.

dataobject
itemsobject[]
member_iduuid

Unique identifier of the member

namestring

Full name of the member

emailstring

Email address of the member

kiosk_access_statusenum<string>

The Hero Time Clock access status of the member

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/kiosk_members" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "member_id": "6664453a-c118-48f1-897e-3df62d45bd84",        "name": "John Doe",        "email": "john.doe@example.com",        "kiosk_access_status": "enabled"      },      {        "member_id": "b992fc49-7e98-4743-b53b-51bec9cf4dc3",        "name": "Jane Smith",        "email": "jane.smith@example.com",        "kiosk_access_status": "awaiting_passcode"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 2,    "total_pages": 1  }}

Grant Hero Time Clock (Kiosk) access to multiple members. Each member will receive an email invitation and their status will be updated to awaiting_passcode.

PATCH
https://api.employmenthero.com/api/v1/organisations/:organisation_id/kiosk_members/bulk_grant_access

Path Parameters

organisation_iduuidrequired

ID of the organisation

Request Body

member_idsuuid[]required

IDs of the members to grant Kiosk access to

Response Body

Returns the IDs of members that were successfully granted Kiosk access. Granted members will receive an email invitation and their kiosk_access_status will be updated to awaiting_passcode.

dataobject
member_idsuuid[]

IDs of the members that were granted Kiosk access

Example

curl -X PATCH \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/kiosk_members/bulk_grant_access" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "member_ids": [      "6664453a-c118-48f1-897e-3df62d45bd84",      "b992fc49-7e98-4743-b53b-51bec9cf4dc3"    ]  }'

Response

{  "data": {    "member_ids": [      "6664453a-c118-48f1-897e-3df62d45bd84",      "b992fc49-7e98-4743-b53b-51bec9cf4dc3"    ]  }}

This endpoint revokes Hero Time Clock access for multiple members in the specified organisation.

PATCH
https://api.employmenthero.com/api/v1/organisations/:organisation_id/kiosk_members/bulk_revoke_access

Path Parameters

organisation_iduuidrequired

ID of the organisation

Request Body

member_idsuuid[]required

IDs of members to revoke Hero Time Clock access from. Maximum 50 members per request.

notify_membersboolean

Whether to send email notifications to affected members after revoking access

Response Body

Returns the IDs of members that were successfully revoked Hero Time Clock access. Revoked members will no longer have access to the Hero Time Clock.

dataobject
member_idsuuid[]

IDs of members whose Hero Time Clock access was successfully revoked

Example

curl -X PATCH \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/kiosk_members/bulk_revoke_access" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "member_ids": [      "6664453a-c118-48f1-897e-3df62d45bd84",      "b992fc49-7e98-4743-b53b-51bec9cf4dc3"    ],    "notify_members": true  }'

Response

{  "data": {    "member_ids": [      "6664453a-c118-48f1-897e-3df62d45bd84",      "b992fc49-7e98-4743-b53b-51bec9cf4dc3"    ]  }}